* Copy the VFP test database to the current directory.

close all
erase *.dbf
erase *.fpt
erase *.cdx
erase *.dbc
erase *.dc*
erase *.t*
erase office1\*.*
erase office2\*.*

lcDataDir = home() + 'SAMPLES\DATA\'
lnFiles   = adir(laFiles, lcDataDir + '*.*')
for lnI = 1 to lnFiles
	if right(laFiles[lnI, 1], 3) $ 'DBF,CDX,DBC,DCT,DCX'
		copy file (lcDataDir + laFiles[lnI, 1]) to (laFiles[lnI, 1])
	endif right(laFiles[lnI, 1], 3) $ 'DBF,CDX,DBC,DCT,DCX'
next lnI

* Create a view on the customer table and take it offline.

open database TESTDATA
create sql view LV_CUSTOMER as ;
	select * from CUSTOMER
dbsetprop('LV_CUSTOMER', 'View', 'SendUpdates', .T.)
dbsetprop('LV_CUSTOMER.CUST_ID', 'Field', 'Updatable', .T.)
createoffline('LV_CUSTOMER')
close database

* Create the OFFICE1 and OFFICE2 subdirectories if necessary.

if adir(laDir, 'OFFICE1\*.*', 'D') = 0
	md OFFICE1
endif adir(laDir, 'OFFICE1\*.*', 'D') = 0
if adir(laDir, 'OFFICE2\*.*', 'D') = 0
	md OFFICE2
endif adir(laDir, 'OFFICE2\*.*', 'D') = 0

* Now copy the database and the offline view (but no other tables) to the
* office subdirectories.

lnFiles = adir(laFiles, '*.*')
for lnI = 1 to lnFiles
	if right(laFiles[lnI, 1], 3) $ 'TBF,TDX,TPT,DBC,DCT,DCX' or ;
		laFiles[lnI, 1] = 'LV_CUSTOMER.DBF' or ;
		laFiles[lnI, 1] = 'LV_CUSTOMER.FPT'
		copy file (laFiles[lnI, 1]) to ('OFFICE1\' + laFiles[lnI, 1])
		copy file (laFiles[lnI, 1]) to ('OFFICE2\' + laFiles[lnI, 1])
	endif right(laFiles[lnI, 1], 3) $ 'TBF,TDX,TPT,DBC,DCT,DCX' ...
next lnI

* Set up the environment.

set exclusive off
set multilocks on
